curl --request GET \
--url https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Webhook/{id}/log/{logId}';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 918234,
"webhookId": 3401,
"contextId": 602347,
"eventTypeDisplay": "Gift Created",
"serverResponse": "{\"received\":true}",
"success": "True",
"httpStatusCode": "200",
"createdDate": "2025-11-12T12:42:16Z",
"modifiedDate": "2025-11-12T12:42:16Z",
"webhookName": "Gift feed to integration service",
"payLoad": "{\"eventType\":\"GiftCreated\",\"giftId\":602347,\"donorId\":202999,\"amount\":250.00}"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Webhook/{id}/log/{logId}"
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
"title": "Not Found",
"status": 404,
"detail": "Webhook 3401 was not found.",
"instance": "/api/Webhook/3401/log/918234"
}Get a Webhook Log
Returns a single delivery log entry, including the payLoad that was posted to the notification URL.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The ID of the webhook.
The ID of the log.
Response
OK
Represents a webhook log model.
The unique identifier of the log entry.
The unique identifier of the webhook the delivery was sent from.
The unique identifier of the record the event was about, such as a gift or donor.
The event the delivery was for.
10, 11, 12, 20, 21, 22, 30, 31, 32, 40, 41, 42, 50, 51, 52 The display name of the event.
The response returned by your endpoint.
Whether the delivery succeeded.
The HTTP status code returned by your endpoint.
The date the log entry was created.
The date the log entry was last modified.
The name of the webhook the delivery was sent from.
The payload Raise sent to your endpoint.
Was this page helpful?